Bug 1308986 - Review Request: anvil - Vulkan drivers for Intel gen7+
Review Request: anvil - Vulkan drivers for Intel gen7+
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
:
Depends On: 1308985
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-16 11:33 EST by Adam Jackson
Modified: 2016-06-28 09:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-28 09:27:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Jackson 2016-02-16 11:33:08 EST
Spec URL: https://ajax.fedorapeople.org/vulkan/anvil.spec
SRPM URL: https://ajax.fedorapeople.org/vulkan/anvil-0-0.1.fc23.src.rpm
Description:

The 'anvil' project is a forked version of Mesa that provides Vulkan drivers for Intel gen7 (Ivybridge) and newer GPUs.

Intel does have plans to merge this work into mainline Mesa, but until that happens it's preferable to package the driver separately so as not to destabilize the existing GL drivers.

Fedora Account System Username: ajax
Comment 1 Andy Lutomirski 2016-02-17 12:20:52 EST
Minor comment: is "anvil" an appropriate name for this package?  It doesn't install anything that users will refer to by name, and it will (IIUC) be obsoleted by a future mesa update at some point.

How about "vulkan-driver-intel"?

(I've tested the COPR version of this package, and it appears to work.)
Comment 2 Adam Jackson 2016-02-24 15:08:55 EST
(In reply to Andy Lutomirski from comment #1)
> Minor comment: is "anvil" an appropriate name for this package?  It doesn't
> install anything that users will refer to by name, and it will (IIUC) be
> obsoleted by a future mesa update at some point.

The driver refers to itself as anvil. Even when it is merged into mesa, it will likely still be subpackaged separately from the GL drivers.

> How about "vulkan-driver-intel"?

How about doing that as a virtual Provide, and adding a Recommends: for that from the vulkan library package?
Comment 3 Andy Lutomirski 2016-02-24 15:46:48 EST
Fine with me.
Comment 4 Igor Gnatenko 2016-06-28 09:27:10 EDT
it has been merged in mesa, so we can enable it there.

Adam, could you work on it please?

Note You need to log in before you can comment on or make changes to this bug.